#!/bin/bash
PIDUNC=`pidof unclutter`
jitter=50
idle=10
# unclutter.cfg allows the user to set idle and jitter to their own preference
. /etc/unclutter.cfg
if [ -n "${PIDUNC}" ];
then
    msg_client.py --msg "Showing mouse pointer..."
    killall -9 unclutter
else
    msg_client.py --msg "Hiding mouse pointer..."
    /usr/bin/unclutter -root -idle $idle -jitter $jitter -noevents &
fi
